// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package JavaCodegenTest;

/************************************************************/
/**
 * 
 */
public class TestHeritage extends TestVisibility {
	/**
	 * Inherited method overriding.
	 * @param a 
	 * @param b 
	 * @return 
	 */
	@Override
	public double virtualOp(double a, double b) {
		return a + b;
	}

	/**
	 * Default constructor
	 */
	public TestHeritage() {
	}
}
